{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:custom_model_data",
    "cases": [
      {
        "when": "cloak",
        "model": {
          "type": "minecraft:model",
          "model": "item/cloak"
        }
      },
      {
        "when": "cloak_fayforn",
        "model": {
          "type": "minecraft:model",
          "model": "item/cloak_fayforn"
        }
      }
    ],
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/leather_chestplate",
      "tints": [
        {
          "type": "minecraft:dye",
          "default": [
            0.6,
            0.4,
            0.25
          ]
        }
      ]
    }
  }
}
